Jump to content

Recommended Posts

Share this post


Link to post
Share on other sites

I'm under version 1.0.5.2

I have my images back up on the admin side working.  But when I go to click on a categories from the catalog side I get the following;

Fatal error: Uncaught Error: Call to undefined function do_magic_quotes_gpc() in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php:107 Stack trace: #0 /home/ladybug3597/public_html/temp.ladybuggardendecor.com/index.php(13): require() #1 {main} thrown in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php on line 107

when I go to includes/application_top.php on line 107 it says;       do_magic_quotes_gpc($vars);

 

Share this post


Link to post
Share on other sites
49 minutes ago, dculley said:

when I go to includes/application_top.php on line 107 it says;       do_magic_quotes_gpc($vars);

Turn off Search-Engine Safe URLs.  Or delete that line.  Or copy do_magic_quotes_gpc() from an older version (e.g. 1.0.5.0).  It would be in includes/functions/compatibility.php


Always back up before making changes.

Share this post


Link to post
Share on other sites
49 minutes ago, ecartz said:

Turn off Search-Engine Safe URLs.  Or delete that line.  Or copy do_magic_quotes_gpc() from an older version (e.g. 1.0.5.0).  It would be in includes/functions/compatibility.php

I tried to rename the line took out the $vars just left the ();  and same error.

I copied the from 1.0.5.0 over this one and got:

Warning: require(includes/classes/hooks.php): failed to open stream: No such file or directory in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php on line 63

Fatal error: require(): Failed opening required 'includes/classes/hooks.php' (include_path='.:/opt/alt/php72/usr/share/pear') in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php on line 63

Not sure where to go from here.  Please keep in mind I'm not a programmer.  But will try and follow directions.

I put the file back to the one under 1.0.5.2.  So back at square one.

 

 

 

Share this post


Link to post
Share on other sites

@raiwa

I did click on the kissit image thubnailer support.

To find out that the last real working version I had was V1.0.4.3

it was not working in 1.0.5.0 either.  I tried it.  I prefer to keep going forward.

The sight is not live.  I still have to get this roller coaster ride (with Phoenix) to come to stop.  I'm a long way from going live.  Reason is problems like this that comes up and other add ones I use in 2.3.4 will not work yet with Phoenix.

I guess I will have to wait.  I've only been trying since last October to get a working version and with the add-ons I need. 

I'm not a programmer so I appreciate all you do.  Thanks

 

Share this post


Link to post
Share on other sites
1 hour ago, dculley said:

Warning: require(includes/classes/hooks.php): failed to open stream: No such file

That is telling you that you don't have the hooks.php file in that directory.  Sounds like you failed to copy it into the right folder some where along the way.  Have a look and see if it is indeed missing and if so add it from the appropriate update or from a backup, if you have one.  You can also get it from the phoenix build on github if you can't find it.

Dan

Share this post


Link to post
Share on other sites
1 hour ago, dculley said:

I tried to rename the line took out the $vars just left the ();  and same error.

I would just delete the entire line 107.  It's complaining that it can't find do_magic_quotes_gpc.  I'm not sure that line actually does anything necessary even with Search-Engine Safe URLs turned on.  So just delete it.  And I would turn Search-Engine Safe URLs off, as that never left the experimental stage and has long since been obsolete.  Search engines have been able to handle GET parameters for at least fifteen years. 

The 1.0.5.2 version of includes/application_top.php is going to be preferable to the 1.0.5.0 version.  Things have moved.  New things have been added.  It would be difficult to get it working with 1.0.5.2.  The problem with the hooks class is only the beginning. 


Always back up before making changes.

Share this post


Link to post
Share on other sites
9 hours ago, Dan Cole said:

That is telling you that you don't have the hooks.php file in that directory.  Sounds like you failed to copy it into the right folder some where along the way.  Have a look and see if it is indeed missing and if so add it from the appropriate update or from a backup, if you have one.  You can also get it from the phoenix build on github if you can't find it.

Dan

I looked in the master file and there is no hooks.php there.

image.png.65a7d6fd7170f344c49bcadccb0d7ae0.png

9 hours ago, ecartz said:

I would just delete the entire line 107.  It's complaining that it can't find do_magic_quotes_gpc.  I'm not sure that line actually does anything necessary even with Search-Engine Safe URLs turned on.  So just delete it.  And I would turn Search-Engine Safe URLs off, as that never left the experimental stage and has long since been obsolete.  Search engines have been able to handle GET parameters for at least fifteen years. 

The 1.0.5.2 version of includes/application_top.php is going to be preferable to the 1.0.5.0 version.  Things have moved.  New things have been added.  It would be difficult to get it working with 1.0.5.2.  The problem with the hooks class is only the beginning. 

I tried all that.  When I go and remove the line I get the other 2 errors.

Warning: require(includes/classes/hooks.php): failed to open stream: No such file or directory in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php on line 63

Fatal error: require(): Failed opening required 'includes/classes/hooks.php' (include_path='.:/opt/alt/php72/usr/share/pear') in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php on line 63

Share this post


Link to post
Share on other sites
2 minutes ago, dculley said:

I looked in the master file and there is no hooks.php there.

Yeah...sorry about that.  I had seen your post in that other thread and Rainers reply where he suggested you roll back to a version where KissIT Thumbnailer is working.  I thought you had done that and were having trouble.  I didn't realize you were still trying to get this to work on 1.0.5.2, where it probably won't, until he has a chance to update the contribution.   Knowing Rainer he will likely update this fairly quick so if I were you I'd just put this contribution aside and work on some other aspect of your build until he has a chance to do so.

Dan 

Share this post


Link to post
Share on other sites
1 minute ago, Dan Cole said:

Yeah...sorry about that.  I had seen your post in that other thread and Rainers reply where he suggested you roll back to a version where KissIT Thumbnailer is working.  I thought you had done that and were having trouble.  I didn't realize you were still trying to get this to work on 1.0.5.2, where it probably won't, until he has a chance to update the contribution.   Knowing Rainer he will likely update this fairly quick so if I were you I'd just put this contribution aside and work on some other aspect of your build until he has a chance to do so.

Dan 

@dancole

I installed hooks.php from an older version, received the same error. 

Than I removed the line 107.  And it works.  I have the catalog\categories  back.  with pictures.  or I thought I did.  it was all there and then I got this.

Fatal error: Uncaught Error: Call to undefined function do_magic_quotes_gpc() in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php:107 Stack trace: #0 /home/ladybug3597/public_html/temp.ladybuggardendecor.com/index.php(13): require() #1 {main} thrown in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/includes/application_top.php on line 107

There is nothing on on line 107

Share this post


Link to post
Share on other sites

in admin i now get the following - it doesn't stop me but it shows up

otice: Constant MODULE_CONTENT_FORGOT_PASSWORD_STATUS already defined in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/admin/includes/application_top.php on line 61

Notice: Constant MODULE_CONTENT_FORGOT_PASSWORD_CONTENT_WIDTH already defined in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/admin/includes/application_top.php on line 61

Notice: Constant MODULE_CONTENT_FORGOT_PASSWORD_SORT_ORDER already defined in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/admin/includes/application_top.php on line 61

Notice: Constant MODULE_CONTENT_IN_CARD_PRODUCTS_STATUS already defined in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/admin/includes/application_top.php on line 61

Notice: Constant MODULE_CONTENT_IN_CARD_PRODUCTS_CONTENT_WIDTH already defined in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/admin/includes/application_top.php on line 61

Notice: Constant MODULE_CONTENT_IN_CARD_PRODUCTS_MAX_DISPLAY already defined in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/admin/includes/application_top.php on line 61

Notice: Constant MODULE_CONTENT_IN_CARD_PRODUCTS_SORT_ORDER already defined in /home/ladybug3597/public_html/temp.ladybuggardendecor.com/admin/includes/application_top.php on line 61

 

line 61 is:    define($configuration['cfgKey'], $configuration['cfgValue']);

 

Share this post


Link to post
Share on other sites
2 minutes ago, dculley said:

I installed hooks.php from an older version, received the same error.

What do you expect mixing old and new files?

You have 2 possibilities:

1. roll back (complete store, not only some files) to the last working Phoenix version, which should be 1.0.5.0 or 1.0.5.1 and wait with the update until the Apps you are using are available for 1.0.5.2.

2. use the complete updated 1.0.5.2 version and wait until the APS which fail are updated. Switch them off and work meanwhile on something different, like Dan pointed out.

Meanwhile the errors you posted above are unrelated to KissIt Image thumbnailer. Please post in the apropiate support for the Phoenix 1.0.5.2 version or better do 1 or 2.

Share this post


Link to post
Share on other sites
Posted (edited)
2 minutes ago, dculley said:

in admin i now get the following - it doesn't stop me but it shows up

Nothing to do with KissIt image thumbnailer please stop posting these errors in the KIssIt support thread- Please see my above message.

Edited by raiwa

Share this post


Link to post
Share on other sites
3 minutes ago, raiwa said:

Nothing to do with KissIt image thumbnailer please stop posting these errors in the KIssIt support thread- Please see my above message.

How would I know that?  I only started getting the errors after trying to get Kissit back up and running?  That was the only add on I was working on, at the moment.

Share this post


Link to post
Share on other sites
6 minutes ago, dculley said:

How would I know that?  I only started getting the errors after trying to get Kissit back up and running?  That was the only add on I was working on, at the moment.

It shouldn't be soo difficult to see that:

MODULE_CONTENT_FORGOT_PASSWORD_STATUS

is not related to Kissit

Please read this message:

14 minutes ago, raiwa said:

What do you expect mixing old and new files?

You have 2 possibilities:

1. roll back (complete store, not only some files) to the last working Phoenix version, which should be 1.0.5.0 or 1.0.5.1 and wait with the update until the Apps you are using are available for 1.0.5.2.

2. use the complete updated 1.0.5.2 version and wait until the APS which fail are updated. Switch them off and work meanwhile on something different, like Dan pointed out.

Meanwhile the errors you posted above are unrelated to KissIt Image thumbnailer. Please post in the apropiate support for the Phoenix 1.0.5.2 version or better do 1 or 2.

 

Share this post


Link to post
Share on other sites
Posted (edited)
43 minutes ago, dculley said:

Maybe not for you....

 

Come on, what's the relation of the password forgotten module to KissIt Image thumbnailer? Is there any image in that module?

Point is that you were asked to wait until I find time to update the KissIt Thumbnailer. I'm really very busy and you don't stop posting errors and asking for help.

Do 1 or 2 of what I suggested above and be patient please.

Edited by raiwa

Share this post


Link to post
Share on other sites

@dculley,

I just tested. KissIt Image thumbnailer works error free with Phoenix 1.0.5.2 on the public store side.

All your errors are due to incorrect/ uncomplete Phoenix 1.0.5.2 update or mixing old and new file versions.

Share this post


Link to post
Share on other sites
Posted (edited)

Does the DataBase automatically install with KissIT?  In the instructions, it states, comes with db install and uninstall.  I see the uninstall, but do not see anything about the install.  

Edited by mrbangus

Share this post


Link to post
Share on other sites
17 hours ago, mrbangus said:

Does the DataBase automatically install with KissIT?  In the instructions, it states, comes with db install and uninstall.  I see the uninstall, but do not see anything about the install.  

Not sure which version you are referring to, I found in the last versions only this reference to db installation:
 

Quote

Configuration entries in Admin will be added to your database on the first catalog page load.

There is no sql script to be executed manually for installation.

Share this post


Link to post
Share on other sites

Hi dear;

When I have the Kissit Gallery module installed. On 1.0.5.4 I notice the modal gallery album that has been updated on the default gallery module since 1.0.5.2 is not bringing up;

Can you please guide on how to adapt it to the new style of gallery module which is free of photoset grid and colorbox...

Thank you in advance;

Regds./

radhavallabh

Share this post


Link to post
Share on other sites
Posted (edited)
4 hours ago, radhavallabh said:

When I have the Kissit Gallery module installed. On 1.0.5.4 I notice the modal gallery album that has been updated on the default gallery module since 1.0.5.2 is not bringing up;

Can you please guide on how to adapt it to the new style of gallery module which is free of photoset grid and colorbox...

Hello,

It has not been updated yet and I can't jump in and give update instructions for all my add-ons each time they break with a Phoenix core update.

I will update my Apps one by one when I find time to do it.

Please be patient and wait for the update release.

Suggestion: if you can't do the updates yourself, stay with the main version, in this case Phoenix 1.0.5.0 until updated Apps are published.

See also:

Best regards
Rainer

Edited by raiwa

Share this post


Link to post
Share on other sites

You can also use the core module meanwhile. If you do not use the watermark option, it’s not so important.

Share this post


Link to post
Share on other sites

Uploaded Update for Phoenix 1.0.5.0+

KissIT image thumbnailer 3.2.0

Change log 3.2.0:

1. Updated for OSCOM Phoenix 1.0.5.x, added support for core default image, removed KissIt default image
2. Simplified tep_image function modification.
3. Updated product info Gallery module
4. Updated .htacces protection in thumb directories to match core
5. Updated tep_image function to support new Image required and calculate image size core settings
6. Updated Image Helper class to match core html output.
7. Moved KissIt Image directory to includes/apps/
8. Updated optional Admin thumbs for Phoenix 1.0.5.0+

Share this post


Link to post
Share on other sites

Having just a little bit of trouble.  using phoenix 1.0.5.5.  At the moment trying to configure kissit without admin option.  Will try the admin option just a little later.

I'm getting a water mark on the store logo.  image.png.c3c9efe93d9a28ddf19caf0ad9be9dd6.png  Don't want the watermark.  The logo is in a .png format.

I did the step 4 option.  went to includes/modules/content/header/templates/ (modified) tpl_cm_header_logo.php line 2 to match step 4. 

  <?php echo '<a href="' . tep_href_link('index.php') . '">' . tep_image('images/' . STORE_LOGO, htmlspecialchars(STORE_NAME), null, null, null, true, null, false) . '</a>'; ?>

I looked to see if anyone else having the same problem and didn't see anything. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×